package xic.ast;

import edu.cornell.cs.cs4120.xi.Position;

public class CharLiteral extends Literal {
	private char value;

	public CharLiteral(Position pos, char value) {
		super(pos);
		this.value = value;
	}

	public char value() {
		return value;
	}
	
	public String label() {
		return "charLiteral '" + value + "'";
	}

	public Copyable copy() {
		Expr expr = new CharLiteral(position, value);
    	expr.type = type;
    	return expr;
	}
}