package xic.ast;

import edu.cornell.cs.cs4120.xi.Position;

public class IntLiteral extends Literal {
	private long value;

	public IntLiteral(Position pos, long value) {
		super(pos);
		this.value = value;
	}

	public long value() {
		return value;
	}
	
	public String label() {
		return "intLiteral " + value;
	}

	public Copyable copy() {
		Expr expr = new IntLiteral(position, value);
    	expr.type = type;
    	return expr;
	}
}