package xic.ast;

import xic.visitors.NodeVisitor;
import edu.cornell.cs.cs4120.xi.Position;

public class Null extends Expr {
	public Null(Position pos) {
		super(pos);
		type = NullType.NULL_TYPE;
	}

	public String label() {
		return "null";
	}

	public ASTNode visitChildren(NodeVisitor v) {
		return this;
	}	
	
	public Copyable copy() {
		Expr expr = new Null(position);
    	expr.type = type;
    	return expr;
	}
}